#!/bin/bash

if [[ $? -ne 1 ]]; then
    echo "usage: $0 <DATA.csv>"
else
    $data=$1;
    $png=`echo $1 | sed -s "s/\.csv$//"` # strip ending
    (gnuplot <<EOD
f(x)=a*x+b
fit f(x) "$data" every ::1 using 2:5 via a,b
set terminal png
set output "${png}_regularity-vs-steps.png"
plot "$data" every ::1 using 2:5 title "regularity vs. steps", f(x) lc rgb "black"
EOD
) 2> "${png}.gnuplot.log"
    mv fit.log "${png}.gnuplot.fit.log"
fi
